const path = require('path');
const rimraf = require('rimraf');
const prettyError = require('../util/pretty-error');

module.exports = function (entry, opts = {}) {
  const outputJS = opts.js;
  const outputCSS = opts.css;
  const outputHTML = opts.html;
  if (outputJS) clean(outputJS);
  if (outputCSS) clean(outputCSS);
  if (opts.cleanHTML && outputHTML) clean(outputHTML);
  return Promise.resolve();

  function clean (file) {
    file = path.isAbsolute(file) ? file : path.resolve(opts.dir, file);
    rimraf(file, err => {
      if (err) {
        prettyError.render(err);
      }
    });
  }
};
