const path = require('path');
const resolve = require('resolve');

module.exports = function ({ template, types: t }) {
  return {
    visitor: {
      CallExpression: {
        enter (nodePath, params) {
          const filename = params.filename;
          const callee = nodePath.get('callee');
          if (t.isMemberExpression(callee)) {
            const objectName = callee.node.object.name;
            const methodName = callee.node.property.name;
            if (objectName === 'require' && methodName === 'resolve' && nodePath.node.arguments.length > 0 && t.isStringLiteral(nodePath.node.arguments[0])) {
              const requirenodePath = nodePath.node.arguments[0].value;
              const dir = path.dirname(filename);
              const result = resolve.sync(requirenodePath, { basedir: dir });
              nodePath.replaceWith(t.stringLiteral(result));
            }
          }
        }
      }
    }
  };
};
