const resolveModule = require('resolve');
const chalk = require('chalk');
const { SimpleError } = require('../../util/logger');

module.exports = function (moduleName, moduleType, opt = {}) {
  const basedir = opt.basedir || process.cwd();
  return new Promise((resolve, reject) => {
    resolveModule(moduleName, { basedir }, (err, resolved) => {
      if (err) return reject(new SimpleError(`In order to use ${moduleType} pre-processing, you first need to install ${chalk.bold(moduleName)} in your project folder. You can install the dependency like so:\n\n  npm install ${moduleName} --save-dev`.trim()));
      else resolve(resolved);
    });
  });
};
