const path = require('path');
const replace = require('replace-string');

module.exports = function (opts) {
  const name = path.basename(opts.cwd);
  let link = '';
  if (opts.css) {
    link = `\n  <link href="${getURL(opts.dir, opts.css)}" rel="stylesheet">`;
  }
  let script = '';
  if (opts.js) {
    script = `\n  <script src="${getURL(opts.dir, opts.js)}" async></script>`;
  }
  return `<!DOCTYPE html>
<html lang="en-US">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>${name}</title>${link}
</head>
<body>${script}
</body>
</html>
`;
};

function getURL (dir, file) {
  const outFile = path.isAbsolute(file) ? file : path.resolve(dir, file);
  const outPath = replace(path.relative(dir, outFile), path.sep, '/');
  return encodeURI(`/${outPath}`);
}
