const read = require('read-package-json');
const fs = require('fs');
const path = require('path');

module.exports = function (cwd = process.cwd()) {
  const pkgFile = path.resolve(cwd, 'package.json');
  if (!fs.existsSync(pkgFile)) {
    return Promise.resolve(null);
  }
  return new Promise((resolve, reject) => {
    read(pkgFile, (err, data) => {
      if (err) reject(err);
      else resolve(data);
    });
  });
};
