const spawn = require('../util/spawn');
const which = require('npm-which');

let npmBin;
try {
  // Perhaps for Electron...?
  npmBin = require.resolve('npm/bin/npm-cli.js');
} catch (err) {
  npmBin = which.sync('npm', { cwd: process.cwd() });
}

function npmCommand (command, args = [], opt = {}) {
  if (!command) return Promise.reject(new Error('No npm command specified'));
  args = [ command ].concat(args);
  opt = Object.assign({}, opt);
  return spawn(npmBin, args, opt);
}

module.exports = npmCommand;
