const minimist = require('minimist');

module.exports = function (args) {
  const argv = minimist(args, {
    boolean: [
      'minify',
      'optimize',
      'node',
      'quiet',
      'pushstate',
      'open',
      'colors',
      'bare',
      'ignorePrompt',
      'cleanHTML',
      'polyfill',
      'stdout',
      'fullPaths'
    ],
    string: [
      'css',
      'dir',
      'js',
      'html',
      'port',
      'routes'
    ],
    alias: {
      fullPaths: 'full-paths',
      cleanHTML: 'clean-html',
      ignorePrompt: 'ignore-prompt',
      routes: 'R',
      port: 'p',
      pushstate: 'P',
      sketch: 's',
      html: 'h',
      minify: 'm',
      node: 'n',
      open: 'o',
      quiet: 'q',
      css: 'c',
      dir: 'd'
    },
    default: {
      colors: true,
      minify: true
    }
  });
  return argv;
};
