const JSON5 = require('json5');
const fs = require('fs');

module.exports = function parseJSON5File (filepath, opt = {}) {
  const optional = opt.optional;
  return new Promise((resolve, reject) => {
    fs.readFile(filepath, 'utf8', (err, data) => {
      if (err) {
        if (optional) return resolve({});
        else return reject(err);
      } else {
        let obj;
        try {
          obj = JSON5.parse(data);
        } catch (err) {
          if (optional) return resolve({});
          else return reject(err);
        }
        resolve(obj);
      }
    });
  });
};
